#ifndef KINECTTRACKER_H
#define KINECTTRACKER_H

// this is required in order to build a dll
#ifdef KINECTTRACKER_EXPORTS
	// if we build the dll we export
	#define EXPORT __declspec(dllexport)
#else
	// if we include it from another program we import
	#define EXPORT __declspec(dllimport)
#endif

// we need this for standard input and output to the command line
#include <iostream>

// OpenNI includes
#include <XnOS.h>
#include <XnCppWrapper.h>

class EXPORT KinectTracker
{
public:
	KinectTracker();
	~KinectTracker();

	bool init();
	unsigned char* getImage();
	unsigned short* getDepthImage();

private:
	xn::Context				m_context;
	xn::ImageGenerator		m_imageGenerator;
	xn::DepthGenerator		m_depthGenerator;
	xn::ImageMetaData		m_imageMD;
	xn::DepthMetaData		m_depthMD;
};

#endif // KINECTTRACKER_H